package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Staff;

public class Dragon extends Enemy {

    public Dragon() {
        super("Dragon", 300, 100, new Staff() , 150);
    }

    @Override
    public void specialAbility(Entity target) {
        int damage = getWeapon().getDamage() * 3;



        target.takeDamage(damage);


        System.out.println(getName() + " uses Breath Fire!");
        System.out.println(target.getName() + " takes " + damage + " fire damage.");
    }
}
